# Trait lock_api::RawRwLockUpgradeDowngrade [−] [src]

    pub unsafe trait RawRwLockUpgradeDowngrade: RawRwLockUpgrade + RawRwLockDowngrade {
        unsafe fn downgrade_upgradable(&self);
        unsafe fn downgrade_to_upgradable(&self);
    }

Additional methods for RwLocks which support upgradable locks and lock downgrading.

## Required methods

### `unsafe fn downgrade_upgradable(&self)` [src]

Downgrades an upgradable lock to a shared lock.

# Safety

This method may only be called if an upgradable lock is held in the current context.

### `unsafe fn downgrade_to_upgradable(&self)` [src]

Downgrades an exclusive lock to an upgradable lock.

# Safety

This method may only be called if an exclusive lock is held in the current context.

Loading content...

## Implementors

Loading content...